package com.sxc.etaxincome.domain.business.impl;

import com.alibaba.fastjson.JSON;
import com.google.common.collect.Maps;
import com.sxc.etaxincome.domain.business.ICachedConfigManager;
import com.sxc.etaxincome.domain.business.IResultTransferManager;
import com.sxc.etaxincome.domain.format.ReportParamFormat;
import com.sxc.etaxincome.entity.EtaxReportResultConfig;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Slf4j
@Service
public class ResultTransferManager implements IResultTransferManager {

    @Autowired
    private ICachedConfigManager cachedConfigManager;

    public Map<String, EtaxReportResultConfig> queryMapByTableCode(String tableCode, boolean fullFlag) {
        Map<String, EtaxReportResultConfig> resultConfigMap = Maps.newHashMap();
//        List<EtaxReportResultConfig> resultConfigList = cachedConfigManager.queryReportResultConfig(tableCode);
//        log.info("resultConfigList size:{}", resultConfigList.size());
//        if(fullFlag) {
//            resultConfigList.forEach(x-> resultConfigMap.put(x.getEtaxParamName(), x));
//        } else {
//            resultConfigList.stream().filter(x -> "1".equals(x.getShowFlag())).forEach(x-> resultConfigMap.put(x.getEtaxParamName(), x));
//        }
        return resultConfigMap;
    }

    public Map<String, String> transferToMap(String formData, String tableCode) {
        Map<String, String> resultMap = Maps.newHashMap();
//        log.info("formData:{} tableCode:{}", formData, tableCode);
//        //准备数据
//        Map<String, String> tableFullMap = HtmlParseUtil.parseTableHtmlToMap(formData, tableCode, false);
//        log.info("tableFullMap:{}", tableFullMap);
//        Map<String, EtaxReportResultConfig> tableShowMap = this.queryMapByTableCode(tableCode, false);
//
//        for (String etaxParamName: tableShowMap.keySet()) {
//            log.info("etaxParamName:{}", etaxParamName);
//            EtaxReportResultConfig resultConfig = tableShowMap.get(etaxParamName);
//            String resultParamKey = this.getExportParamKey(resultConfig);
//            log.info("resultParamKey:{}", resultParamKey);
//            resultMap.put(resultParamKey, tableFullMap.get(etaxParamName));
//        }
        return resultMap;
    }

    public String transferToJson(String formData, String tableCode) {
        Map<String, String> resultMap = transferToMap(formData, tableCode);
        return JSON.toJSONString(resultMap);
    }

    private String getExportParamKey(EtaxReportResultConfig resultConfig) {
        if ("-1".equals(resultConfig.getLocationRow())) {
            return resultConfig.getEtaxExportName();
        }
        return ReportParamFormat.formatReportParam(resultConfig.getTableCode(), resultConfig.getLocationRow(), resultConfig.getLocationCol());
    }
}
