package com.sxc.etaxincome.domain.business.impl;

import com.sxc.etaxincome.domain.business.ICachedConfigManager;
import com.sxc.etaxincome.domain.business.ISysManageManager;
import com.sxc.etaxincome.domain.model.sysManage.SysAppUserSummary;
import com.sxc.etaxincome.entity.FinSysDict;
import com.sxc.etaxincome.entity.SysAppUser;
import com.sxc.etaxincome.service.IFinSysDictService;
import com.sxc.etaxincome.service.ISysAppUserService;
import com.sxc.framework.common.date.DateUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.format.DateTimeFormatter;
import java.util.Comparator;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @ProjectName: etax-income-api
 * @Package: com.sxc.etaxincome.domain.business.impl
 * @ClassName: SysManageManager
 * @Author: ddx
 * @Description:
 * @Date: 2024-05-28 10:51
 * @Version: 1.0
 */
@Slf4j
@Service
public class SysManageManager implements ISysManageManager {

    @Autowired
    private ISysAppUserService sysAppUserService;

    @Autowired
    private ICachedConfigManager cachedConfigManager;

    public List<SysAppUserSummary> queryListByCriteria() {
        SysAppUser sysAppUserCriteria = new SysAppUser();
        List<SysAppUser> sysAppUserList = sysAppUserService.queryListByCriteria(sysAppUserCriteria);
        return sysAppUserList.stream().sorted(Comparator.comparing(SysAppUser::getName)).map(e -> {
            return SysAppUserSummary.builder()
                    .userName(e.getUsername())
                    .nickName(e.getName())
                    .status(e.getStatus()).build();
        }).collect(Collectors.toList());
    }

    public List<FinSysDict> queryDictListByDictGroup(String dictGroup) {
        List<FinSysDict> sysDictList = cachedConfigManager.queryDictConfig(dictGroup);
        return sysDictList;
    }

}
