package com.sxc.etaxincome.generator;

import com.baomidou.mybatisplus.generator.FastAutoGenerator;
import com.baomidou.mybatisplus.generator.config.OutputFile;
import com.baomidou.mybatisplus.generator.engine.FreemarkerTemplateEngine;

import java.text.SimpleDateFormat;
import java.util.Collections;
import java.util.Date;

public class CodeGenerator {

    public static void main(final String[] args) {
        // db config
        String url = "jdbc:mysql://localhost:3306/numysql?useUnicode=true&characterEncoding=utf-8&tinyInt1isBit=false&allowMultiQueries=true&&useSSL=false&serverTimezone=UTC";
        String username = "root";
        String password = "";

        // output dir
        String rootDir = System.getProperty("user.dir") + "/etax-income-generator";
        String javaOutputDir = rootDir + "/src/main/java";
        String mapperXmlOutDir = rootDir + "/src/main/resources/mapper";

        String commentDate = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date());
        FastAutoGenerator.create(url, username, password)
                .globalConfig(builder ->
                    builder.author("mybatis-plus-generator") // 设置作者
                            .commentDate(commentDate) // 文件创建日期
                            .fileOverride() // 覆盖已生成文件
                            .outputDir(javaOutputDir) // 指定输出目录
                )
                .packageConfig(builder ->
                    builder.parent("com.sxc.etaxincome") // 设置父包名
                            .pathInfo(Collections.singletonMap(OutputFile.mapperXml, mapperXmlOutDir))
                )
                .strategyConfig(builder ->
                    builder.addInclude("sys_app_user")// 设置需要生成的表名
                            .addInclude("fin_count_report")
                            .addInclude("fin_count_log")
                            .addInclude("fin_real_log")
                            .addInclude("fin_user_taxno")
                            .addInclude("fin_sys_dict")
                )
                // 使用Freemarker引擎模板，默认的是Velocity引擎模板
                .templateEngine(new FreemarkerTemplateEngine())
                .execute();

    }
}
