CREATE TABLE `etax_report_param_config` (
  `id` BIGINT(20) NOT NULL AUTO_INCREMENT COMMENT '自增主键',
  `api_code` VARCHAR(50) NOT NULL COMMENT '接口编号',
  `table_name` VARCHAR(100) DEFAULT NULL COMMENT '报表名',
  `table_code` VARCHAR(30) DEFAULT NULL COMMENT '报表编码',
  `location_row` VARCHAR(100) NOT NULL  COMMENT '行位置',
  `location_col` VARCHAR(500) NOT NULL  COMMENT '列位置',
  `etax_param_name` VARCHAR(100) NOT NULL  COMMENT '电子税局参数名',
  `remark` VARCHAR(100) NOT NULL  COMMENT '说明',
  `readonly` TINYINT DEFAULT 0 COMMENT '是否只读',
  `priority` INT DEFAULT 99999 COMMENT '提交顺序',
  `create_time` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建日期',
  `update_time` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '最后更新日期',
  PRIMARY KEY (`id`)
);

CREATE TABLE `etax_report_api_config` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增主键',
  `api_code` VARCHAR(50) NOT NULL COMMENT '接口编号',
  `api_version` VARCHAR(100) NOT NULL  COMMENT '接口版本号',
  `api_url` VARCHAR(500) DEFAULT '' COMMENT '接口地址',
  `remark` VARCHAR(1000) NOT NULL  COMMENT '说明',
  `create_time` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建日期',
  `update_time` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '最后更新日期',
  PRIMARY KEY (`id`)
);
