package com.sxc.etaxincome.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.sxc.etaxincome.common.model.report.IncomeInvoiceStatResult;
import com.sxc.etaxincome.criteria.IncomeQueryCommon;
import com.sxc.etaxincome.entity.FinCountReport;
import com.sxc.etaxincome.mapper.FinCountReportMapper;
import com.sxc.etaxincome.service.IFinCountReportService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 实时统计小时表 服务实现类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-05-29 11:44:38
 */
@Service
public class FinCountReportServiceImpl extends ServiceImpl<FinCountReportMapper, FinCountReport> implements IFinCountReportService {

    @Override
    public List<FinCountReport> queryListByCriteria(IncomeQueryCommon incomeQueryCommon) {
        Wrapper<FinCountReport> queryWrapper = Wrappers.<FinCountReport>lambdaQuery()
                .eq(StringUtils.isNotBlank(incomeQueryCommon.getUserName()), FinCountReport::getUserName, incomeQueryCommon.getUserName())
                .between(FinCountReport::getCountDate, incomeQueryCommon.getStartDateTime(), incomeQueryCommon.getEndDateTime())
                .orderByAsc(FinCountReport::getCountDate);
        return this.list(queryWrapper);
    }

    @Override
    public List<IncomeInvoiceStatResult> queryReportListByDate(IncomeQueryCommon incomeQueryCommon) {
        return this.getBaseMapper().queryReportListByDate(incomeQueryCommon);
    }
    @Override
    public List<IncomeInvoiceStatResult> queryReportListByUser(IncomeQueryCommon incomeQueryCommon) {
        return this.getBaseMapper().queryReportListByUser(incomeQueryCommon);
    }

}
