package com.sxc.etaxincome.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.sxc.etaxincome.criteria.IncomeQueryCommon;
import com.sxc.etaxincome.entity.FinUserTaxno;
import com.sxc.etaxincome.mapper.FinUserTaxnoMapper;
import com.sxc.etaxincome.service.IFinUserTaxnoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 用户日志对照表 服务实现类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-06-28 10:42:45
 */
@Service
public class FinUserTaxnoServiceImpl extends ServiceImpl<FinUserTaxnoMapper, FinUserTaxno> implements IFinUserTaxnoService {

    @Override
    public List<FinUserTaxno> queryList(IncomeQueryCommon incomeQueryCommon) {
        Wrapper<FinUserTaxno> queryWrapper = Wrappers.<FinUserTaxno>lambdaQuery()
                .eq(StringUtils.isNotBlank(incomeQueryCommon.getUserName()), FinUserTaxno::getUsername, incomeQueryCommon.getUserName())
                .between(incomeQueryCommon.getStartDateTime() != null && incomeQueryCommon.getEndDateTime() != null, FinUserTaxno::getCreateDate, incomeQueryCommon.getStartDateTime(), incomeQueryCommon.getEndDateTime());
        return this.list(queryWrapper);
    }

}
